DefaultGroovyPagesUriService (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class DefaultGroovyPagesUriService

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPagesUriSupport
          org.codehaus.groovy.grails.web.pages.DefaultGroovyPagesUriService

    public class DefaultGroovyPagesUriService
    extends GroovyPagesUriSupport

Provides services for resolving URIs. Caches lookups in an internal ConcurrentMap cache.

Authors:
  Lari Hotari , Sagire Software Oy

Field Summary

Fields inherited from class GroovyPagesUriSupport
PATH_TO_VIEWS

Method Summary
`void` | `clear()`
`java.lang.String` | `getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)`
`java.lang.String` | `getLogicalControllerName(groovy.lang.GroovyObject controller)`
`java.lang.String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)`
`java.lang.String` | `getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)`
`java.lang.String` | `getTemplateURI(java.lang.String controllerName, java.lang.String templateName)`
`java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)`

Methods inherited from class GroovyPagesUriSupport
clear, getAbsoluteTemplateURI, getAbsoluteViewURI, getDeployedAbsoluteViewURI, getDeployedViewURI, getLogicalControllerName, getNoSuffixViewURI, getNoSuffixViewURI, getTemplateURI, getTemplateURI, getViewURI, getViewURI

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### clear

    @java.lang.Override
    public void clear()

### getDeployedViewURI

    @java.lang.Override
    public java.lang.String getDeployedViewURI(java.lang.String controllerName, java.lang.String viewName)

### getLogicalControllerName

    @java.lang.Override
    public java.lang.String getLogicalControllerName(groovy.lang.GroovyObject controller)

### getNoSuffixViewURI

    @java.lang.Override
    public java.lang.String getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

### getNoSuffixViewURI

    @java.lang.Override
    public java.lang.String getNoSuffixViewURI(java.lang.String controllerName, java.lang.String viewName)

### getTemplateURI

    @java.lang.Override
    public java.lang.String getTemplateURI(java.lang.String controllerName, java.lang.String templateName)

### getTemplateURI

    @java.lang.Override
    public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)

Groovy Documentation